---
title: FetchEvent.client
slug: Web/API/FetchEvent/client
tags:
  - API
  - Client
  - Deprecated
  - Experimental
  - FetchEvent
  - Property
  - Reference
  - Service Workers
  - Workers
---
<p>{{APIRef("Service Workers API")}}{{deprecated_header()}}</p>

<p>The <code><strong>FetchEvent.client</strong></code> read-only property returns the {{domxref("Client")}} that the current service worker is controlling.</p>

<div class="note">
<p><strong>Note</strong>: This feature has been deprecated, with its functionality replaced by {{domxref("FetchEvent.clientId")}} and {{domxref("Clients.get()")}}. See <a href="https://github.com/slightlyoff/ServiceWorker/issues/723#issuecomment-123516555">this Github issue</a> for discussion/background.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myClient = FetchEvent.client;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Client")}} object.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">self.addEventListener('fetch', function(event) {
  console.log(event.client);
});</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FetchEvent.client")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a class="external external-icon" href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a class="external external-icon" href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Performance/Using_web_workers">Using web workers</a></li>
</ul>
